IPC_FINDKEY(9)

NAME
ipc_findkey - find a key in an ipc identifier set

SYNOPSIS

struct kern_ipc_perm * ipc_findkey(struct ipc_ids * ids, key_t key);

ARGUMENTS

ids
    ipc identifier set

key
    key to find

DESCRIPTION

Returns the locked pointer to the ipc structure if found or NULL otherwise. If key is found ipc points to the owning ipc structure

Called with ipc_ids.rwsem held.

COPYRIGHT